module signal_2_top(
    clk    ,
    rst_n  ,
    key_col,
    key_row,
    dout_vld,
    dout
    );

    //
    parameter      DATA_W =         6;
    parameter      KEY_W  =         4;
    

    //źŶ
    input               clk    ;
    input               rst_n  ;
    input [KEY_W-1:0]   key_col;

    //źŶ
    output[KEY_W-1:0]   key_row;
    output              dout_vld;
    output[DATA_W-1:0]  dout   ;

    wire                key_vld;
    wire  [KEY_W-1:0]   key_num;

    key_scan uut1(
        .clk    (clk    ),
        .rst_n  (rst_n  ),
        .key_col(key_col),
        .key_row(key_row),
        .key_num(key_num),
        .key_vld(key_vld)   
    );

    signal_2 uut2(
        .clk      (clk      ),
        .rst_n    (rst_n    ),
        .key_vld  (key_vld  ),
        .key_num  (key_num  ),
        .dout_vld (dout_vld ),
        .dout     (dout     ) 
    );

endmodule

