module signal_3(
    clk     ,
    rst_n   ,
    dout_vld,
    dout
    );

    //
    parameter      DATA_W =         15;

    //źŶ
    input               clk    ;
    input               rst_n  ;

    //źŶ
    output              dout_vld;
    output[DATA_W-1:0]  dout   ;

    //źreg
    reg                 dout_vld;
    reg                 dout_vld_tmp;
    reg   [DATA_W-1:0]  dout   ;
    reg   [DATA_W-1:0]  dout_tmp   ;

    //dout_vld_tmp
    always  @(posedge clk or negedge rst_n)begin
        if(rst_n==1'b0)begin
            dout_vld_tmp <= 0;
        end
        else if(dout_tmp==1022) begin
            dout_vld_tmp <= 1;
        end
        else begin
            dout_vld_tmp <= 0;
        end
    end

    //dout_vld
    always  @(posedge clk or negedge rst_n)begin
        if(rst_n==1'b0)begin
            dout_vld <= 0;
        end
        else begin
            dout_vld <= dout_vld_tmp;
        end
    end


    //dout_tmp
    always  @(posedge clk or negedge rst_n)begin
        if(rst_n==1'b0)begin
            dout_tmp <= 0;
        end
        else if(dout_tmp == 51023) begin
            dout_tmp <= 0;
        end
        else begin
            dout_tmp <= dout_tmp + 1;
        end
    end

    //dout
    always  @(posedge clk or negedge rst_n)begin
        if(rst_n==1'b0)begin
            dout <= 0;
        end
        else if(dout_tmp==23 || dout_tmp==890) begin
            dout <= dout_tmp + 1;
        end
        else if(dout_tmp<1024)begin
            dout <= dout_tmp;
        end
        else begin
            dout <= 0;
        end
    end

endmodule

