module signal_5_gen(
    clk    ,
    rst_n  ,
    dout_vld ,
    dout
    );

    //
    parameter      DATA_W =         8;

    //źŶ
    input               clk    ;
    input               rst_n  ;

    //źŶ
    output              dout_vld;
    output[DATA_W-1:0]  dout   ;

    //źreg
    reg                 dout_vld;
    reg   [DATA_W-1:0]  dout   ;

    //dout_vld
    always  @(posedge clk or negedge rst_n)begin
        if(rst_n==1'b0)begin
            dout_vld <= 0;
        end
        else if(dout==174)begin
            dout_vld <= 1'b1;
        end
        else begin
            dout_vld <= 1'b0;
        end
    end

    //dout
    always  @(posedge clk or negedge rst_n)begin
        if(rst_n==1'b0)begin
            dout <= 0;
        end
        else begin
            dout[0]   <= ~(dout[7]  ^ dout[4] ^ dout[3] ^ dout[2] ^ dout[0]);
            dout[7:1] <= dout[6:0];
        end
    end

endmodule


